Mailinglist Archive: opensuse (3513 mails)

< Previous Next >
[opensuse] BLT on openSUSE11.1
  • From: Roger Oberholtzer <roger@xxxxxx>
  • Date: Sun, 11 Jan 2009 13:33:58 +0100
  • Message-id: <FC6D3D24-1D10-4A22-BFCC-ED38091284C7@xxxxxx>

I was mildly surprised to see BLT delivered with openSUSE11.1. BLT has major source compatibility issues with Tcl 8.5. So, I am guessing that the SUSE team did some sort of a fix. Is there any documentation on this fix? There were at least two ways to make this work: hack into the BLT code, or use a stubs library. Where can I find which they did? There is nothing in /usr/share/docs/blt about this.

Of course, it is only academic as BLT (the shells and demos at least) seem not to work. They complain:

Application initialization failed: version conflict for package "Tcl": have 8.5.5, need exactly 8.5

The fact that they may have worked with 8.5 at one time is a great sign. But as 8.5.5 is what comes with openSUSE11.1, they need to work with that. I think this requirement is compiled in the library, not in the blt pkgIndex.tcl file.

Anyone else on this list using BLT?

--

Roger Oberholtzer

OPQ Systems / Ramböll RST

Ramböll Sverige AB
Kapellgränd 7
P.O. Box 4205
SE-102 65 Stockholm, Sweden

Office: Int +46 8-615 60 20
Mobile: Int +46 70-815 1696

And remember:

It is RSofT and there is always something under construction.
It is like talking about large city with all constructions finished.
Not impossible, but very unlikely.

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups